Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18997

Description

I'm running a rather large Xinerama setup (1920x1080x3 in screen0, 2048x1536 x2 in screen1 and 2048x1536 in screen2 all Xineramaed

together)

In QGIS 2.3.0-Master from the http://qgis.org/debian-nightly repository (and QT 4.8.6) on 14.04 Trusty using Awesome WM 3.4.15-1, I

get X Errors like:

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d0c

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d13

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d1a

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d21

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d28

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d2f

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d36

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d45

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1201d4c

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1200092

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x1200092
If I try to expand QGIS to fill the full screen available with the 2048x1536 x4 screens, I get errors like those and the QGIS window stops

redrawing. The best way to trick it into generating those errors is to drag it to the top of the screen and keep expanding it until it crashes.

Here is my xorg.conf to describe my setup. It doesn't matter if the 2048x1536 monitors are rotated, those errors are still generated.:

# nvidia-settings: X configuration file generated by nvidia-settings

# nvidia-settings:  version 331.20  (buildd@roseapple)  Mon Feb  3 15:07:22 UTC 2014

Section "ServerLayout" 

    Identifier     "Layout0" 

    Screen      0  "Screen0" 0 818

    Screen      1  "Screen1" 3240 0

    Screen      2  "Screen2" 3240 1536

    InputDevice    "Keyboard0" "CoreKeyboard" 

    InputDevice    "Mouse0" "CorePointer" 

    Option         "Xinerama" "1" 

EndSection

Section "Files" 

EndSection

Section "InputDevice" 

    # generated from default

    Identifier     "Mouse0" 

    Driver         "mouse" 

    Option         "Protocol" "auto" 

    Option         "Device" "/dev/psaux" 

    Option         "Emulate3Buttons" "no" 

    Option         "ZAxisMapping" "4 5" 

EndSection

Section "InputDevice" 

    # generated from default

    Identifier     "Keyboard0" 

    Driver         "kbd" 

EndSection

Section "Monitor" 

    # HorizSync source: edid, VertRefresh source: edid

    Identifier     "Monitor0" 

    VendorName     "Unknown" 

    ModelName      "Ancor Communications Inc VW246" 

    HorizSync       31.0 - 83.0

    VertRefresh     56.0 - 76.0

    Option         "DPMS" 

EndSection

Section "Monitor" 

    # HorizSync source: edid, VertRefresh source: edid

    Identifier     "Monitor1" 

    VendorName     "Unknown" 

    ModelName      "Apple Color LCD" 
    HorizSync       30.0 - 92.9

    VertRefresh     60.0

    Option         "DPMS" 

EndSection

Section "Monitor" 

    # HorizSync source: edid, VertRefresh source: edid

    Identifier     "Monitor2" 

    VendorName     "Unknown" 

    ModelName      "Apple Color LCD" 

    HorizSync       30.0 - 92.9

    VertRefresh     60.0

    Option         "DPMS" 

EndSection

Section "Device" 

    Identifier     "Device0" 

    Driver         "nvidia" 

    VendorName     "NVIDIA Corporation" 

    BoardName      "GeForce GTX 650 Ti" 

    BusID          "PCI:1:0:0" 

EndSection

Section "Device" 

    Identifier     "Device1" 

    Driver         "nvidia" 

    VendorName     "NVIDIA Corporation" 

    BoardName      "Quadro NVS 420" 

    BusID          "PCI:4:0:0" 

EndSection

Section "Device" 

    Identifier     "Device2" 

    Driver         "nvidia" 

    VendorName     "NVIDIA Corporation" 

    BoardName      "Quadro NVS 420" 

    BusID          "PCI:5:0:0" 

EndSection

Section "Screen" 

    Identifier     "Screen0" 

    Device         "Device0" 

    Monitor        "Monitor0" 

    DefaultDepth    24

    Option         "Stereo" "0" 

    Option         "metamodes" "DVI-I-1: nvidia-auto-select +1080+0 {rotation=right}, HDMI-0: nvidia-auto-select +0+0 {rotation=left},

DVI-D-0: nvidia-auto-select +2160+0 {rotation=right}; DVI-I-1: nvidia-auto-select +0+0 {rotation=right}; DVI-I-1: 1680x1050 +0+0

{rotation=right}; DVI-I-1: 1600x1200 +0+0 {rotation=right}; DVI-I-1: 1440x900 +0+0 {rotation=right}; DVI-I-1: 1280x1024 +0+0

{rotation=right}; DVI-I-1: 1280x1024_60 +0+0 {rotation=right}; DVI-I-1: 1280x960 +0+0 {rotation=right}; DVI-I-1: 1152x864 +0+0

{rotation=right}; DVI-I-1: 1024x768 +0+0 {rotation=right}; DVI-I-1: 1024x768_70 +0+0 {rotation=right}; DVI-I-1: 1024x768_60 +0+0

{rotation=right}; DVI-I-1: 800x600 +0+0 {rotation=right}; DVI-I-1: 800x600_72 +0+0 {rotation=right}; DVI-I-1: 800x600_60 +0+0

{rotation=right}; DVI-I-1: 800x600_56 +0+0 {rotation=right}; DVI-I-1: 640x480 +0+0 {rotation=right}; DVI-I-1: 640x480_72 +0+0

{rotation=right}" 
    Option         "SLI" "Off" 

    Option         "MultiGPU" "Off" 

    Option         "BaseMosaic" "off" 

    SubSection     "Display" 

        Depth       24

    EndSubSection

EndSection

Section "Screen" 

    Identifier     "Screen1" 

    Device         "Device1" 

    Monitor        "Monitor1" 

    DefaultDepth    24

    Option         "Stereo" "0" 

    Option         "metamodes" "DP-2: nvidia-auto-select +2048+0, DP-3: nvidia-auto-select +0+0; DP-2: nvidia-auto-select +0+0;

DP-2: nvidia-auto-select @1600x1024 +0+0 {viewportin=1280x1024, viewportout=1920x1536+64+0}; DP-2: nvidia-auto-select

@1365x768 +0+0 {viewportin=1024x768}; DP-2: nvidia-auto-select @1067x600 +0+0 {viewportin=800x600}; DP-2:

nvidia-auto-select @853x480 +0+0 {viewportin=640x480}; DP-2: nvidia-auto-select +0+0 {viewportout=2048x1152+0+192}" 

    Option         "SLI" "Off" 

    Option         "MultiGPU" "Off" 

    Option         "BaseMosaic" "off" 

    SubSection     "Display" 

        Depth       24

    EndSubSection

EndSection

Section "Screen" 

    Identifier     "Screen2" 

    Device         "Device2" 

    Monitor        "Monitor2" 

    DefaultDepth    24

    Option         "Stereo" "0" 

    Option         "metamodes" "DP-2: nvidia-auto-select +0+0, DP-3: nvidia-auto-select +2048+0; DP-2: nvidia-auto-select +0+0;

DP-2: nvidia-auto-select @1600x1024 +0+0 {viewportin=1280x1024, viewportout=1920x1536+64+0}; DP-2: nvidia-auto-select

@1365x768 +0+0 {viewportin=1024x768}; DP-2: nvidia-auto-select @1067x600 +0+0 {viewportin=800x600}; DP-2:

nvidia-auto-select @853x480 +0+0 {viewportin=640x480}; DP-2: nvidia-auto-select +0+0 {viewportout=2048x1152+0+192}" 

    Option         "SLI" "Off" 

    Option         "MultiGPU" "Off" 

    Option         "BaseMosaic" "off" 

    SubSection     "Display" 

        Depth       24

    EndSubSection

EndSection

Section "Extensions" 

    Option         "Composite" "Disable" 

EndSection

Near as I can tell, this is the only application that I use which generates this error.

History

2025-12-15 4/5



#1 - 2014-06-15 08:49 AM - Gregory Lewis-Paley

- File xorg.conf added

#2 - 2014-06-15 08:52 AM - Gregory Lewis-Paley

I played around with it further, on the 2048x1536 monitors, if I resize past square (so about 3072x3072), that's when I get those X Errors.

#3 - 2014-06-21 06:33 AM - Jürgen Fischer

- Tag set to X11

- Category set to GUI

#4 - 2016-10-10 04:36 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you confirm this is still an issue on newer qgis versions?

#5 - 2017-01-02 06:15 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

Files

xorg.conf 6.68 KB 2014-06-15 Gregory Lewis-Paley
